package app

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"tydata-server/app/user/cmd/api/internal/logic/app"
	"tydata-server/app/user/cmd/api/internal/svc"
	"tydata-server/common/result"
	"tydata-server/pkg/lzkit/validator"
)

func GetAppVersionHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := app.NewGetAppVersionLogic(r.Context(), svcCtx)
		resp, err := l.GetAppVersion()
		result.HttpResult(r, w, resp, err)
	}
}
